QGIS Application - Bug report #12747
[OSX] problem with composer grids and frames
2015-05-13 06:21 AM - delinte thibault

Status: Closed

Priority: Normal

Assignee:

Category: OsX Ul

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 20846
Description

Hello everybody,

| come back to you

| went to georezo and they confirmed that there is a bug!

First sorry for my english, it's a little bad. I'll try to explain my problem in english but i put a french explanation under the english version!**
| use QGIS mac before 2.6 and the problem was there. Now, i install the version 2.8 to see if the problem was resolved on this version but
the problem is always there!

When i make a print composer, i have a problem with the map:

| crate a new map, ok i seen it. | add grid and ok no problem, it post up it. But when i want to add a framework (inside, outside, zebra,...)
there is a problem and it doesn't make it. It's the same when i ask to add coordinates (around the picture, the position of each grid).

But when i export my project to PDF, i see the project correctly?! :/

My teacher, which use all the time QGIS, look for but he never see that. He asked to a another guy which is really "strong" in QGIS and he
didn't know too.

Finaly, Santanna said: "l confirm that the problem is only on Mac OS X. There is no problem on Windows. He add that there is no problem
with the version Mac OS X 2.4."

| joint you some picture to show you the problem:

A capture to show you what i see.

http://imagizer.imageshack.us/v2/731x457q90/673/2omBQs.png

All of my settings:

http://imagizer.imageshack.us/v2/731x457q90/540/jlUMh8.png

When | export to PDF

http://imagizer.imageshack.us/v2/731x457q90/633/egkl3T.png

Thanks for you answer.

T.D.
http://georezo.net/forum/viewtopic.php?pid=268356

Bonjour,

Je reviens vers vous: je suis allé sur le site géorézo et on me confirme qu'il y a bien un bug:

J'utilise QGIS mac précédemment la version 2.6.1 et le bug était présent. Je viens de passer a la version 2.8.1 pour voir si le bug avait été
réparé mais il persiste toujours.

lorsque je réalise une composition, j'ai un probléeme avec la carte.

En effet, je vais dans gaticule et j'ajoute une grille. ok pas de probleme, il I'affiche. Mais, lorsque je veux mettre un cadre, il ne I'affiche pas
(a l'intérieur, a I'extérieure, en zébré,...).

Il en va de méme pour I'affichage des coordonnées qu'il ne veut pas mettre.

mais, lorsque j'exporte le projet sous forme PDF, il me l'affiche correctement! :/

Mon prof, qui utilise trés souvent QGIS donc il s'y connais quand méme, a regardé et il a dit qu'il n'avait jamais vu ¢a. Il a également
demandé a un collége qui est "calé" quand a I'utilisation de QGIS et il ne sait pas non plus.

Finalement, Santana me dis: "je confirme le bug sous MacOS X. Avec ces paramétres, ¢a apparait nickel sous Windows mais pas de
cadre zébré ni de coordonnées sous OS X."

Quelques photo pour vous illustrer le probléme:

Une capture d'écran pour vous montrer ce que je vois:
http://imagizer.imageshack.us/v2/731x457990/673/20mBQs.png

Mes différents parameétres

http://imagizer.imageshack.us/v2/731x457990/540/jlUMh8.png

Lorsque j'exporte au format PDF

http://imagizer.imageshack.us/v2/731x457q90/633/egkl3T.png

Merci d'avance pour votre réponse.

T.D.

Associated revisions

Revision effbfcd5 - 2015-05-28 01:53 PM - Nyall Dawson

Fix composer map frame/annotations not showing on OSX (refs #12747)

Revision f5d4088a - 2015-06-24 01:34 PM - Nyall Dawson

Fix composer map frame/annotations not showing on OSX (refs #12747)

History

#1 - 2015-05-13 06:58 AM - delinte thibault
http://imagizer.imageshack.us/v2/731x457q90/673/2omBQs.png
http://imagizer.imageshack.us/v2/731x457q90/540/jIUMh8.png
http://imagizer.imageshack.us/v2/731x457q90/633/eqkI3T.png

Ohw | forgot the title:

Probléme with Grid and particulars on Max OS X QGIS version 2.6.1 and 2.8.1

#2 - 2015-05-13 09:39 AM - Jiirgen Fischer

- Subject changed from Probléme with to [OSX] problem with grids and frames

#3 - 2015-05-13 09:41 AM - Jiirgen Fischer

- Subject changed from [OSX] problem with grids and frames to [OSX] problem with composer grids and frames

- Category set to Map Composer/Printing

#4 - 2015-05-14 01:05 AM - Giovanni Manghi

- Priority changed from Severe/Regression to Normal

- Category changed from Map Composer/Printing to OsX Ul

#5 - 2015-05-18 06:08 AM - Harrissou Santanna

hi,

Giovanni, | read that an issue is tagged as blocker if the feature has ever worked in a previous release. In Os X QGIS2.4, the frame style (only zebra was
available though) was displayed as expected and so were the coordinates.

If none of these options worked with 2.8, shouldn't it be tagged "Blocker"?

#6 - 2015-05-23 10:42 AM - Rhenriques Henriques

Hi

| also agree that this bug should be considered as blocker. It's very annoying to go to another software to be able to produce a simple coordinate grid. This
was working fine under version 2.4.

Cheers

#7 - 2015-05-23 11:03 AM - Nyall Dawson

Unfortunately | don't think this is something we're able to fix within QGIS itself - it seems to be a quirk with the Qt libraries and current versions of OSX.

Feedback from an experienced OSX Qt developer would be appreciated...

#8 - 2015-05-28 04:54 AM - Nyall Dawson
- Status changed from Open to Feedback

Please test with latest master build and confirm whether the fix works...

#9 - 2015-06-11 02:09 AM - delinte thibault
- File qgis_version.png added

Hello,

Sorry for this late answer but i finish a big project QGIS for the end of my year and | was waiting the dateline to try the next version.
So now i install the next version QGIS 2-8-2 and it don't work again! :/

I'ts always the same probleme | see the grids and frames when i export to PDF but i’ can't see it when i work on the print composer...

Thank you

#10 - 2015-06-11 05:13 AM - Giovanni Manghi

So now i install the next version QGIS 2-8-2 and it don't work again! /

the eventual fix is available in qgis master (the future 2.10) not 2.8.2.

#11 - 2015-06-11 05:55 AM - delinte thibault

Ohw! :0
OK, Sorry! ;)

| wait and i'll try with the 2.10 version when it come out! ;)

#12 - 2015-08-09 01:55 PM - Nyall Dawson
- Resolution set to fixed/implemented
- Status changed from Feedback to Closed

Files

qgis_version.png 98.3 KB 2015-06-11
